#define GRN_VERSION  "GRn 1.16e (7/4/92) by Mike Schwartz & Michael B. Smith"

extern UWORD    wrapCol;

extern FILEREQ  *saveReq;
extern FILEREQ  *publishReq;

extern UWORD    windowHeight;

extern char     userName[], grnrcName[], newsEditor[], mailEditor[];
extern char     postNews[], sendMail[];
extern char     uulib[], uunews[];

extern BOOL     treeDirty;

typedef struct {
        NODE    node;
        char    header[256];
        UWORD   state;
        ULONG   filenum;
        UWORD   index;          // for gadtools GTLV_Top, etc.
        char    *from;
        char    *subject;
} ART;
#define UNREAD  0
#define READ    1
#define NEW     2
#define END     3

typedef struct {
        NODE    node;
        char    header[256];
        char    groupName[128];
        ULONG   articles, unread;
        UBYTE   hideHeaders, hideRead;
        ULONG   nextReceived;
        UWORD   sortActive;
        LIST    artList;
} GLIST;

extern GLIST    *currentGroup;
extern ART      *currentArticle;
extern LIST     groupList;
extern WINDOW   *mainWindow;

#define GROUPS_MODE     0
#define ARTICLES_MODE   1
#define QUIT_MODE       2
#define NEXTGROUPS_MODE 3
#define PREVGROUPS_MODE 4
#define ABORT_MODE      5

extern UWORD    mode;

NODE    *ListItem();

